// AO_API_TestDlg.h : header file
//

#if !defined(AFX_AO_API_TESTDLG_H__281A8DEF_A7A1_4E56_961C_99C2E5DCBB69__INCLUDED_)
#define AFX_AO_API_TESTDLG_H__281A8DEF_A7A1_4E56_961C_99C2E5DCBB69__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAO_API_TestDlg dialog

class CAO_API_TestDlg : public CDialog
{
// Construction
public:
	CAO_API_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAO_API_TestDlg)
	enum { IDD = IDD_AO_API_TEST_DIALOG };
	CEdit	m_txtPwrOnCh_Float;
	CEdit	m_btnPwrOnValue_Float;
	CEdit	m_txtSafetyCh_Float;
	CEdit	m_txtSafetyValue_Float;
	CButton	m_btnSetPwrOnValue_Float;
	CButton	m_btnSetSafetyValue_Float;
	CButton	m_btnEnable;
	CButton	m_btnDisable;
	CEdit	m_txtTypeCode;
	CButton	m_btnSetWDT;
	CButton	m_btnSetBoardID;
	CButton	m_btnSetType;
	CButton	m_btnSafetyValue;
	CButton	m_btnSetSafetyEnable;
	CButton	m_btnSetPwrOnEnable;
	CButton	m_btnSetPwrOnValue;
	CEdit	m_txtWDT;
	CEdit	m_txtTypeCh;
	CEdit	m_txtSetBoardID;
	CEdit	m_txtSafetyValue;
	CEdit	m_txtSafetyEnable;
	CEdit	m_txtSafetyCh;
	CEdit	m_txtPwrOnValue;
	CEdit	m_txtPwrOnEnableCh;
	CEdit	m_txtPwrOnCh;
	CEdit	m_txtNickname;
	CEdit	m_txtChEnable;
	CEdit	m_txtBoardID;
	CListBox	m_lbInformation;
	CComboBox	m_cbxDeviceID;
	CButton	m_btnRefresh;
	CButton	m_btnOpen;
	CButton	m_btnDefault;
	CButton	m_btnClose;
	CButton	m_btnSetNickname;
	CButton	m_btnSetChEnable;
	CButton	m_btnGetChEnable;
	CButton	m_btnGetPwrOnEnable;
	CButton	m_btnGetPwrOnValue;
	CButton	m_btnGetSafetyEnable;
	CButton	m_btnGetResolution;
	CButton	m_btnGetSafetyValue;
	CButton	m_btnGetSupportCode;
	CButton	m_btnGetTypeCode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAO_API_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAO_API_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnopen();
	afx_msg void OnBtnclose();
	afx_msg void OnBtndefault();
	afx_msg void OnBtnrefresh();
	afx_msg void OnSetnickname();
	afx_msg void OnSetwdt();
	afx_msg void OnSetboardid();
	afx_msg void OnGetsuptypecode();
	afx_msg void OnGettypecode();
	afx_msg void OnGetchenable();
	afx_msg void OnGetresolution();
	afx_msg void OnGetpwronenable();
	afx_msg void OnGetpwronvlaue();
	afx_msg void OnGetsafetyenable();
	afx_msg void OnGetsafetyvalue();
	afx_msg void OnSettype();
	afx_msg void OnSetchenable();
	afx_msg void OnEnable();
	afx_msg void OnBtndisable();
	afx_msg void OnSetpwronenable();
	afx_msg void OnSetsafetyenable();
	afx_msg void OnSetpwronvalue();
	afx_msg void OnSetsafetyvalue();
	afx_msg void OnSetPwrOnValueFloat();
	afx_msg void OnSetSafetyValueFloat();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AO_API_TESTDLG_H__281A8DEF_A7A1_4E56_961C_99C2E5DCBB69__INCLUDED_)
